summaryrefslogtreecommitdiffstats
path: root/libraries/ucl
diff options
context:
space:
mode:
author Binh Nguyen2010-09-17 10:50:34 +0200
committer Robby Workman2010-09-22 05:09:38 +0200
commita2387e026cf112ab95baa784c62d30464a46292b (patch)
tree1ed6426de9e7d9be35c27f7f2c3d588b7b630c41 /libraries/ucl
parentb0e9330a8bb8a7808a0459096ea0653a0f201d7c (diff)
downloadslackbuilds-a2387e026cf112ab95baa784c62d30464a46292b.tar.gz
libraries/ucl: Added (portable lossless data compression)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/ucl')
-rw-r--r--libraries/ucl/README16
-rw-r--r--libraries/ucl/slack-desc19
-rw-r--r--libraries/ucl/ucl.SlackBuild100
-rw-r--r--libraries/ucl/ucl.info10
4 files changed, 145 insertions, 0 deletions
diff --git a/libraries/ucl/README b/libraries/ucl/README
new file mode 100644
index 0000000000..1ebe483b30
--- /dev/null
+++ b/libraries/ucl/README
@@ -0,0 +1,16 @@
+UCL is written in ANSI C. Both the source code and the compressed data
+format are designed to be portable across platforms.
+
+UCL implements a number of algorithms with the following features:
+
+ * Decompression is simple and *very* fast.
+ * Requires no memory for decompression.
+ * The decompressors can be squeezed into less than 200 bytes of code.
+ * Focuses on compression levels for generating pre-compressed data
+ which achieve a quite competitive compression ratio.
+ * Allows you to dial up extra compression at a speed cost in the
+ compressor. The speed of the decompressor is not reduced.
+ * Algorithm is thread safe.
+ * Algorithm is lossless.
+
+UCL supports in-place decompression.
diff --git a/libraries/ucl/slack-desc b/libraries/ucl/slack-desc
new file mode 100644
index 0000000000..862ade86da
--- /dev/null
+++ b/libraries/ucl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ucl: ucl (portable lossless data compression library written in ANSI C)
+ucl:
+ucl: UCL implements a number of compression algorithms that achieve an
+ucl: excellent compression ratio while allowing *very* fast decompression.
+ucl: Decompression requires no additional memory.
+ucl:
+ucl: Homepage: http://www.oberhumer.com/opensource/ucl/
+ucl:
+ucl:
+ucl:
+ucl:
diff --git a/libraries/ucl/ucl.SlackBuild b/libraries/ucl/ucl.SlackBuild
new file mode 100644
index 0000000000..98595e86bc
--- /dev/null
+++ b/libraries/ucl/ucl.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for ucl
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ucl
+VERSION=${VERSION:-1.03}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/ucl/ucl.info b/libraries/ucl/ucl.info
new file mode 100644
index 0000000000..83a96268b4
--- /dev/null
+++ b/libraries/ucl/ucl.info
@@ -0,0 +1,10 @@
+PRGNAM="ucl"
+VERSION="1.03"
+HOMEPAGE="http://www.oberhumer.com/opensource/ucl/"
+DOWNLOAD="http://www.oberhumer.com/opensource/ucl/download/ucl-1.03.tar.gz"
+MD5SUM="852bd691d8abc75b52053465846fba34"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"